CacheConfig.GatewaySender (Apache Geode 1.15.4)

org.apache.geode.cache.configuration

## Class CacheConfig.GatewaySender

- java.lang.Object
- - org.apache.geode.cache.configuration.CacheConfig.GatewaySender

- Enclosing class:
    CacheConfig

      public static class CacheConfig.GatewaySender
      extends Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="gateway-event-filter" type="{http://geode.apache.org/schema/cache}class-with-parameters-type" maxOccurs="unbounded" minOccurs="0"/>
               <element name="gateway-event-substitution-filter" type="{http://geode.apache.org/schema/cache}class-with-parameters-type" minOccurs="0"/>
               <element name="gateway-transport-filter" type="{http://geode.apache.org/schema/cache}class-with-parameters-type" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="remote-distributed-system-id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="parallel" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="manual-start" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="socket-buffer-size" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="socket-read-timeout" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="enable-batch-conflation" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="batch-size" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="batch-time-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="enable-persistence" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="disk-store-name" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="disk-synchronous" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="maximum-queue-memory" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="alert-threshold" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="dispatcher-threads" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="order-policy" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="group-transaction-events" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `alertThreshold`
    `protected String` | `batchSize`
    `protected String` | `batchTimeInterval`
    `protected String` | `diskStoreName`
    `protected Boolean` | `diskSynchronous`
    `protected String` | `dispatcherThreads`
    `protected Boolean` | `enableBatchConflation`
    `protected Boolean` | `enablePersistence`
    `protected Boolean` | `enforceThreadsConnectSameReceiver`
    `protected List<DeclarableType>` | `gatewayEventFilters`
    `protected DeclarableType` | `gatewayEventSubstitutionFilter`
    `protected List<DeclarableType>` | `gatewayTransportFilters`
    `protected Boolean` | `groupTransactionEvents`
    `protected String` | `id`
    `protected Boolean` | `manualStart`
    `protected String` | `maximumQueueMemory`
    `protected String` | `orderPolicy`
    `protected Boolean` | `parallel`
    `protected String` | `remoteDistributedSystemId`
    `protected String` | `socketBufferSize`
    `protected String` | `socketReadTimeout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GatewaySender()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `areGatewayEventFiltersUpdated()`
    `String` | `getAlertThreshold()` Gets the value of the alertThreshold property.
    `String` | `getBatchSize()` Gets the value of the batchSize property.
    `String` | `getBatchTimeInterval()` Gets the value of the batchTimeInterval property.
    `String` | `getDiskStoreName()` Gets the value of the diskStoreName property.
    `String` | `getDispatcherThreads()` Gets the value of the dispatcherThreads property.
    `Boolean` | `getEnforceThreadsConnectSameReceiver()` Gets the value of the enforceThreadsConnectSameReceiver property.
    `List<DeclarableType>` | `getGatewayEventFilters()` Gets the value of the gatewayEventFilters property.
    `DeclarableType` | `getGatewayEventSubstitutionFilter()` Gets the value of the gatewayEventSubstitutionFilter property.
    `List<DeclarableType>` | `getGatewayTransportFilters()` Gets the value of the gatewayTransportFilters property.
    `String` | `getId()` Gets the value of the id property.
    `String` | `getMaximumQueueMemory()` Gets the value of the maximumQueueMemory property.
    `String` | `getOrderPolicy()` Gets the value of the orderPolicy property.
    `String` | `getRemoteDistributedSystemId()` Gets the value of the remoteDistributedSystemId property.
    `String` | `getSocketBufferSize()` Gets the value of the socketBufferSize property.
    `String` | `getSocketReadTimeout()` Gets the value of the socketReadTimeout property.
    `Boolean` | `isDiskSynchronous()` Gets the value of the diskSynchronous property.
    `Boolean` | `isEnableBatchConflation()` Gets the value of the enableBatchConflation property.
    `Boolean` | `isEnablePersistence()` Gets the value of the enablePersistence property.
    `Boolean` | `isManualStart()` Gets the value of the manualStart property.
    `Boolean` | `isParallel()` Gets the value of the parallel property.
    `Boolean` | `mustGroupTransactionEvents()`
    `void` | `setAlertThreshold(String value)` Sets the value of the alertThreshold property.
    `void` | `setBatchSize(String value)` Sets the value of the batchSize property.
    `void` | `setBatchTimeInterval(String value)` Sets the value of the batchTimeInterval property.
    `void` | `setDiskStoreName(String value)` Sets the value of the diskStoreName property.
    `void` | `setDiskSynchronous(Boolean value)` Sets the value of the diskSynchronous property.
    `void` | `setDispatcherThreads(String value)` Sets the value of the dispatcherThreads property.
    `void` | `setEnableBatchConflation(Boolean value)` Sets the value of the enableBatchConflation property.
    `void` | `setEnablePersistence(Boolean value)` Sets the value of the enablePersistence property.
    `void` | `setEnforceThreadsConnectSameReceiver(Boolean value)` Sets the value of the enforceThreadsConnectSameReceiver property.
    `void` | `setGatewayEventSubstitutionFilter(DeclarableType value)` Sets the value of the gatewayEventSubstitutionFilter property.
    `void` | `setGroupTransactionEvents(Boolean value)`
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setManualStart(Boolean value)` Sets the value of the manualStart property.
    `void` | `setMaximumQueueMemory(String value)` Sets the value of the maximumQueueMemory property.
    `void` | `setOrderPolicy(String value)` Sets the value of the orderPolicy property.
    `void` | `setParallel(Boolean value)` Sets the value of the parallel property.
    `void` | `setRemoteDistributedSystemId(String value)` Sets the value of the remoteDistributedSystemId property.
    `void` | `setSocketBufferSize(String value)` Sets the value of the socketBufferSize property.
    `void` | `setSocketReadTimeout(String value)` Sets the value of the socketReadTimeout property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gatewayEventFilters

          protected List<DeclarableType> gatewayEventFilters

    - #### gatewayEventSubstitutionFilter

          protected DeclarableType gatewayEventSubstitutionFilter

    - #### gatewayTransportFilters

          protected List<DeclarableType> gatewayTransportFilters

    - #### id

          protected String id

    - #### remoteDistributedSystemId

          protected String remoteDistributedSystemId

    - #### parallel

          protected Boolean parallel

    - #### manualStart

          protected Boolean manualStart

    - #### socketBufferSize

          protected String socketBufferSize

    - #### socketReadTimeout

          protected String socketReadTimeout

    - #### enableBatchConflation

          protected Boolean enableBatchConflation

    - #### batchSize

          protected String batchSize

    - #### batchTimeInterval

          protected String batchTimeInterval

    - #### enablePersistence

          protected Boolean enablePersistence

    - #### diskStoreName

          protected String diskStoreName

    - #### diskSynchronous

          protected Boolean diskSynchronous

    - #### maximumQueueMemory

          protected String maximumQueueMemory

    - #### alertThreshold

          protected String alertThreshold

    - #### dispatcherThreads

          protected String dispatcherThreads

    - #### orderPolicy

          protected String orderPolicy

    - #### groupTransactionEvents

          protected Boolean groupTransactionEvents

    - #### enforceThreadsConnectSameReceiver

          protected Boolean enforceThreadsConnectSameReceiver

  - ### Constructor Detail

    - #### GatewaySender

          public GatewaySender()

  - ### Method Detail

    - #### getGatewayEventFilters

          public List<DeclarableType> getGatewayEventFilters()

      Gets the value of the gatewayEventFilters property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the gatewayEventFilters property.

      For example, to add a new item, do as follows:

           getGatewayEventFilters().add(newItem);

      Objects of the following type(s) are allowed in the list `DeclarableType`

      Returns:
        the `List` of `GatewayEventFilter` types.

    - #### areGatewayEventFiltersUpdated

          public boolean areGatewayEventFiltersUpdated()

    - #### getGatewayEventSubstitutionFilter

          public DeclarableType getGatewayEventSubstitutionFilter()

      Gets the value of the gatewayEventSubstitutionFilter property. possible object is `DeclarableType`
      Returns:
        the `GatewayEventSubstitutionFilter` type.

    - #### setGatewayEventSubstitutionFilter

          public void setGatewayEventSubstitutionFilter(DeclarableType value)

      Sets the value of the gatewayEventSubstitutionFilter property. allowed object is `DeclarableType`
      Parameters:
        `value` - the `GatewayEventSubstitutionFilter` type.

    - #### getGatewayTransportFilters

          public List<DeclarableType> getGatewayTransportFilters()

      Gets the value of the gatewayTransportFilters property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the gatewayTransportFilters property.

      For example, to add a new item, do as follows:

           getGatewayTransportFilters().add(newItem);

      Objects of the following type(s) are allowed in the list `DeclarableType`

      Returns:
        the `List` of `GatewayTransportFilter` types.

    - #### getId

          public String getId()

      Gets the value of the id property. possible object is `String`
      Returns:
        the ID.

    - #### setId

          public void setId(String value)

      Sets the value of the id property. allowed object is `String`
      Parameters:
        `value` - the ID.

    - #### getRemoteDistributedSystemId

          public String getRemoteDistributedSystemId()

      Gets the value of the remoteDistributedSystemId property. possible object is `String`
      Returns:
        the remote distributed system ID.

    - #### setRemoteDistributedSystemId

          public void setRemoteDistributedSystemId(String value)

      Sets the value of the remoteDistributedSystemId property. allowed object is `String`
      Parameters:
        `value` - the remote distributed system ID.

    - #### mustGroupTransactionEvents

          public Boolean mustGroupTransactionEvents()

    - #### setGroupTransactionEvents

          public void setGroupTransactionEvents(Boolean value)

    - #### isParallel

          public Boolean isParallel()

      Gets the value of the parallel property. possible object is `Boolean`
      Returns:
        true if parallel is enabled, false otherwise.

    - #### setParallel

          public void setParallel(Boolean value)

      Sets the value of the parallel property. allowed object is `Boolean`
      Parameters:
        `value` - enable or disable parallel.

    - #### isManualStart

          public Boolean isManualStart()

      Gets the value of the manualStart property. possible object is `Boolean`
      Returns:
        true is manual start is enabled, false otherwise.

    - #### setManualStart

          public void setManualStart(Boolean value)

      Sets the value of the manualStart property. allowed object is `Boolean`
      Parameters:
        `value` - enables or disables manual start.

    - #### getSocketBufferSize

          public String getSocketBufferSize()

      Gets the value of the socketBufferSize property. possible object is `String`
      Returns:
        the socket buffer size.

    - #### setSocketBufferSize

          public void setSocketBufferSize(String value)

      Sets the value of the socketBufferSize property. allowed object is `String`
      Parameters:
        `value` - the socket buffer size.

    - #### getSocketReadTimeout

          public String getSocketReadTimeout()

      Gets the value of the socketReadTimeout property. possible object is `String`
      Returns:
        the socket read timeout.

    - #### setSocketReadTimeout

          public void setSocketReadTimeout(String value)

      Sets the value of the socketReadTimeout property. allowed object is `String`
      Parameters:
        `value` - the socket read timeout.

    - #### isEnableBatchConflation

          public Boolean isEnableBatchConflation()

      Gets the value of the enableBatchConflation property. possible object is `Boolean`
      Returns:
        true if batch conflation is enabled, false otherwise.

    - #### setEnableBatchConflation

          public void setEnableBatchConflation(Boolean value)

      Sets the value of the enableBatchConflation property. allowed object is `Boolean`
      Parameters:
        `value` - enable or disable batch conflation.

    - #### getBatchSize

          public String getBatchSize()

      Gets the value of the batchSize property. possible object is `String`
      Returns:
        the batch size.

    - #### setBatchSize

          public void setBatchSize(String value)

      Sets the value of the batchSize property. allowed object is `String`
      Parameters:
        `value` - the batch size.

    - #### getBatchTimeInterval

          public String getBatchTimeInterval()

      Gets the value of the batchTimeInterval property. possible object is `String`
      Returns:
        the batch time interval.

    - #### setBatchTimeInterval

          public void setBatchTimeInterval(String value)

      Sets the value of the batchTimeInterval property. allowed object is `String`
      Parameters:
        `value` - the batch time interval.

    - #### isEnablePersistence

          public Boolean isEnablePersistence()

      Gets the value of the enablePersistence property. possible object is `Boolean`
      Returns:
        true if persistence is enabled, false otherwise.

    - #### setEnablePersistence

          public void setEnablePersistence(Boolean value)

      Sets the value of the enablePersistence property. allowed object is `Boolean`
      Parameters:
        `value` - enables or disables persistence.

    - #### getDiskStoreName

          public String getDiskStoreName()

      Gets the value of the diskStoreName property. possible object is `String`
      Returns:
        disk store name.

    - #### setDiskStoreName

          public void setDiskStoreName(String value)

      Sets the value of the diskStoreName property. allowed object is `String`
      Parameters:
        `value` - disk store name.

    - #### isDiskSynchronous

          public Boolean isDiskSynchronous()

      Gets the value of the diskSynchronous property. possible object is `Boolean`
      Returns:
        true if the disk is synchronous, false if asynchronous.

    - #### setDiskSynchronous

          public void setDiskSynchronous(Boolean value)

      Sets the value of the diskSynchronous property. allowed object is `Boolean`
      Parameters:
        `value` - true for synchronous, false for asynchronous.

    - #### getMaximumQueueMemory

          public String getMaximumQueueMemory()

      Gets the value of the maximumQueueMemory property. possible object is `String`
      Returns:
        the maximum queue memory.

    - #### setMaximumQueueMemory

          public void setMaximumQueueMemory(String value)

      Sets the value of the maximumQueueMemory property. allowed object is `String`
      Parameters:
        `value` - the maximum queue memory.

    - #### getAlertThreshold

          public String getAlertThreshold()

      Gets the value of the alertThreshold property. possible object is `String`
      Returns:
        the alert threshold.

    - #### setAlertThreshold

          public void setAlertThreshold(String value)

      Sets the value of the alertThreshold property. allowed object is `String`
      Parameters:
        `value` - the alert threshold.

    - #### getDispatcherThreads

          public String getDispatcherThreads()

      Gets the value of the dispatcherThreads property. possible object is `String`
      Returns:
        the number of dispatched threads.

    - #### setDispatcherThreads

          public void setDispatcherThreads(String value)

      Sets the value of the dispatcherThreads property. allowed object is `String`
      Parameters:
        `value` - the number of dispatched threads.

    - #### getOrderPolicy

          public String getOrderPolicy()

      Gets the value of the orderPolicy property. possible object is `String`
      Returns:
        the order policy.

    - #### setOrderPolicy

          public void setOrderPolicy(String value)

      Sets the value of the orderPolicy property. allowed object is `String`
      Parameters:
        `value` - the order policy.

    - #### setEnforceThreadsConnectSameReceiver

          public void setEnforceThreadsConnectSameReceiver(Boolean value)

      Sets the value of the enforceThreadsConnectSameReceiver property. allowed object is `Boolean`
      Parameters:
        `value` - if true, threads ensure they connect to the same receiver, false if they do not.

    - #### getEnforceThreadsConnectSameReceiver

          public Boolean getEnforceThreadsConnectSameReceiver()

      Gets the value of the enforceThreadsConnectSameReceiver property. possible object is `Boolean`
      Returns:
        true if all threads ensure they connect to the same receiver, false otherwise.